!========================================================================================
!@***h* Daily OLR CDR/phys_const.cmn.f90
!
! NAME         
!   phys_const.cmn.f90
!
! LOCATION         
!   Codes/OLR_retrieval/Nxx/, xx=05,06,07,08,09,10,11,12,14
!
! PURPOSE
!   Declaration for physical constants 
!
! DESCRIPTION
!   Commonly used physical constants to be INCLUDed by other programs. 
!
! AUTHOR
!   Hai-Tien Lee
!
! COPYRIGHT	
!   THIS SOFTWARE AND ITS DOCUMENTATION ARE CONSIDERED TO BE IN THE PUBLIC 
!   DOMAIN AND THUS ARE AVAILABLE FOR UNRESTRICTED PUBLIC USE. THEY ARE 
!   FURNISHED "AS IS." THE AUTHORS, THE UNITED STATES GOVERNMENT, ITS 
!   INSTRUMENTALITIES, OFFICERS, EMPLOYEES, AND AGENTS MAKE NO WARRANTY, 
!   EXPRESS OR IMPLIED, AS TO THE USEFULNESS OF THE SOFTWARE AND 
!   DOCUMENTATION FOR ANY PURPOSE. THEY ASSUME NO RESPONSIBILITY (1) FOR 
!   THE USE OF THE SOFTWARE AND DOCUMENTATION; OR (2) TO PROVIDE TECHNICAL 
!   SUPPORT TO USERS.
!
! EXTERNALS
!
! DEPENDENCIES
!
! INPUTS
!
! OUTPUTS
!
! HISTORY
!   2003-08-01   Hai-Tien Lee Created
!   2010-11-26   Hai-Tien Lee for NCDC HIRS OLR CDR Production
!   2014-06-01   Hai-Tien Lee for NCDC Daily OLR CDR Production
!
!@*****
!========================================================================================

! Physical constants

! C1, C2 are the first and second radiation constant for Planck Function
      real*4, parameter :: c1 = 1.1910428e-5 ! mW/(m2 sr cm-4)
      real*4, parameter :: c2 = 1.4387752 ! cm K
! Use CODATA 2002
!c1 = 1.1910428e-5 ! mW/(m2 sr cm-4)
!c2 = 1.4387752 ! cm K

!NOAA16's  (reference?)
!      c1=1.1910439E-5
!      c2=1.4387686

! NOAA KLM Users Guide Appendix P :
! This is CODATA 1998
!c1 = 1.1910427 x 10-05 mW/(m2 sr cm-4)
!c2 = 1.4387752 cm K

! For CODATA 2002
!c1 = 1.1910428 x 10-05 mW/(m2 sr cm-4)
!c2 = 1.4387752 cm K

! for Pre-KLM 
!  c1=1.1910659E-5
!  c2=1.438833
