!========================================================================================
!@***h* Daily OLR CDR/extract_bit_int2.f90
! 
! NAME         
!   extract_bit_int2.f90
!
! LOCATION         
!   Codes/OLR_retrieval/Nxx, xx=05,06,07,08,09,10,11,12,14
!
! PURPOSE
!   Bit extractions for a two-byte integer
!
! DESCRIPTION
!   Given a two-byte integer, the bit pattern is extracted.
!
! AUTHOR
!   Hai-Tien Lee
!
! COPYRIGHT	
!   THIS SOFTWARE AND ITS DOCUMENTATION ARE CONSIDERED TO BE IN THE PUBLIC 
!   DOMAIN AND THUS ARE AVAILABLE FOR UNRESTRICTED PUBLIC USE. THEY ARE 
!   FURNISHED "AS IS." THE AUTHORS, THE UNITED STATES GOVERNMENT, ITS 
!   INSTRUMENTALITIES, OFFICERS, EMPLOYEES, AND AGENTS MAKE NO WARRANTY, 
!   EXPRESS OR IMPLIED, AS TO THE USEFULNESS OF THE SOFTWARE AND 
!   DOCUMENTATION FOR ANY PURPOSE. THEY ASSUME NO RESPONSIBILITY (1) FOR 
!   THE USE OF THE SOFTWARE AND DOCUMENTATION; OR (2) TO PROVIDE TECHNICAL 
!   SUPPORT TO USERS.
!
! EXTERNALS
!
! DEPENDENCIES
!
! INPUTS
!
! OUTPUTS
!
! HISTORY
!   2003-08-01   Hai-Tien Lee Created
!   2010-11-26   Hai-Tien Lee for NCDC HIRS OLR CDR Production
!   2014-06-01   Hai-Tien Lee for NCDC Daily OLR CDR Production
!
!@*****
!========================================================================================

      subroutine extract_bit_int2(x,bit)
      implicit none
      integer*2 x,i
      integer*2 bit(0:15)
      do i=0,15
         if (btest(x,i)) then
            bit(i)=1
         else
            bit(i)=0
         endif
      enddo
      end
