!========================================================================================
!@***h* Daily OLR CDR/extract_msec.f90
! 
! NAME         
!   extract_msec.f90
!
! LOCATION         
!   Codes/OLR_retrieval/Nxx, xx=05,06,07,08,09,10,11,12,14
!
! PURPOSE
!   Extract mili-second value from level-1b header
!
! DESCRIPTION
!   Extract mili-second value from level-1b header
!
! AUTHOR
!   Hai-Tien Lee
!
! COPYRIGHT	
!   THIS SOFTWARE AND ITS DOCUMENTATION ARE CONSIDERED TO BE IN THE PUBLIC 
!   DOMAIN AND THUS ARE AVAILABLE FOR UNRESTRICTED PUBLIC USE. THEY ARE 
!   FURNISHED "AS IS." THE AUTHORS, THE UNITED STATES GOVERNMENT, ITS 
!   INSTRUMENTALITIES, OFFICERS, EMPLOYEES, AND AGENTS MAKE NO WARRANTY, 
!   EXPRESS OR IMPLIED, AS TO THE USEFULNESS OF THE SOFTWARE AND 
!   DOCUMENTATION FOR ANY PURPOSE. THEY ASSUME NO RESPONSIBILITY (1) FOR 
!   THE USE OF THE SOFTWARE AND DOCUMENTATION; OR (2) TO PROVIDE TECHNICAL 
!   SUPPORT TO USERS.
!
! EXTERNALS
!
! DEPENDENCIES
!
! INPUTS
!
! OUTPUTS
!
! HISTORY
!   2003-08-01   Hai-Tien Lee Created
!   2010-11-26   Hai-Tien Lee for NCDC HIRS OLR CDR Production
!   2014-06-01   Hai-Tien Lee for NCDC Daily OLR CDR Production
!
!@*****
!========================================================================================
      subroutine extract_msec(x1,x2,ix,ihr,imn,isec)
      implicit none
      integer*4 ix,ihr,imn,isec
      integer*2 x1,x2,exponent,i
      integer*2 bit(0:31)

      print *, x1, x2

      do i=0,15
!         print *,'above',bit(i),bit(i+16)
         if (btest(x2,i)) then
            bit(i)=1
         else
            bit(i)=0
         endif
         if (btest(x1,i)) then
            bit(i+16)=1
         else
            bit(i+16)=0
         endif
!         print *,'here',x2,bit(i),x1,bit(i+16),btest(x2,i)
      enddo
      ix=0
      do i=0,26
         exponent=i
!         print *,i,2**exponent*bit(i),2**exponent*1
         ix=ix+2**exponent*bit(i)
      enddo
!      print *,ix,x1,x2
      ihr=ix/3600000
      imn=ix/60000-ihr*60
      isec=ix/1000-ihr*3600-imn*60
      end

