!========================================================================================
!@***h* Daily OLR CDR/extract_year.f90
! 
! NAME         
!   extract_year.f90
!
! LOCATION         
!   Codes/OLR_retrieval/Nxx, xx=05,06,07,08,09,10,11,12,14
!
! PURPOSE
!   Extract year value from level-1b header
!
! DESCRIPTION
!   Extract year value from level-1b header
!
! AUTHOR
!   Hai-Tien Lee
!
! COPYRIGHT	
!   THIS SOFTWARE AND ITS DOCUMENTATION ARE CONSIDERED TO BE IN THE PUBLIC 
!   DOMAIN AND THUS ARE AVAILABLE FOR UNRESTRICTED PUBLIC USE. THEY ARE 
!   FURNISHED "AS IS." THE AUTHORS, THE UNITED STATES GOVERNMENT, ITS 
!   INSTRUMENTALITIES, OFFICERS, EMPLOYEES, AND AGENTS MAKE NO WARRANTY, 
!   EXPRESS OR IMPLIED, AS TO THE USEFULNESS OF THE SOFTWARE AND 
!   DOCUMENTATION FOR ANY PURPOSE. THEY ASSUME NO RESPONSIBILITY (1) FOR 
!   THE USE OF THE SOFTWARE AND DOCUMENTATION; OR (2) TO PROVIDE TECHNICAL 
!   SUPPORT TO USERS.
!
! EXTERNALS
!
! DEPENDENCIES
!
! INPUTS
!
! OUTPUTS
!
! HISTORY
!   2003-08-01   Hai-Tien Lee Created
!   2010-11-26   Hai-Tien Lee for NCDC HIRS OLR CDR Production
!   2014-06-01   Hai-Tien Lee for NCDC Daily OLR CDR Production
!
!@*****
!========================================================================================
      subroutine extract_year(x,ix)
      implicit none
      integer*2 x,exponent,i
      integer*4 ix
      integer*2 bit(0:15)
      do i=0,15
         if (btest(x,i)) then
            bit(i)=1
         else
            bit(i)=0
         endif
!         print *, i,bit(i)         
      enddo
      ix=0
      do i=9,15
         exponent=i-9
         ix=ix+2**exponent*bit(i)
      enddo
      end
      subroutine extract_jday(x,ix)
      implicit none
      integer*4 ix
      integer*2 x,exponent,i
      integer*2 bit(0:15)
      do i=0,15
         if (btest(x,i)) then
            bit(i)=1
         else
            bit(i)=0
         endif
      enddo
      ix=0
      do i=0,8
         exponent=i
         ix=ix+2**exponent*bit(i)
      enddo
      end

