!========================================================================================
!@***h* Daily OLR CDR/instrument.cmn.f90
! 
! NAME         
!   instrument.cmn.f90
!
! LOCATION         
!   Codes/OLR_retrieval/Nxx/, xx=05,06,07,08,09,10,11,12,14
!
! PURPOSE
!   Declaration for instrument parameters 
!
! DESCRIPTION
!   Other programs use INCLUDE to declare common instrument parameters defined here. 
!
! AUTHOR
!   Hai-Tien Lee
!
! COPYRIGHT	
!   THIS SOFTWARE AND ITS DOCUMENTATION ARE CONSIDERED TO BE IN THE PUBLIC 
!   DOMAIN AND THUS ARE AVAILABLE FOR UNRESTRICTED PUBLIC USE. THEY ARE 
!   FURNISHED "AS IS." THE AUTHORS, THE UNITED STATES GOVERNMENT, ITS 
!   INSTRUMENTALITIES, OFFICERS, EMPLOYEES, AND AGENTS MAKE NO WARRANTY, 
!   EXPRESS OR IMPLIED, AS TO THE USEFULNESS OF THE SOFTWARE AND 
!   DOCUMENTATION FOR ANY PURPOSE. THEY ASSUME NO RESPONSIBILITY (1) FOR 
!   THE USE OF THE SOFTWARE AND DOCUMENTATION; OR (2) TO PROVIDE TECHNICAL 
!   SUPPORT TO USERS.
!
! EXTERNALS
!
! DEPENDENCIES
!
! INPUTS
!
! OUTPUTS
!
! HISTORY
!   2003-08-01   Hai-Tien Lee Created
!   2010-11-26   Hai-Tien Lee for NCDC HIRS OLR CDR Production
!   2014-06-01   Hai-Tien Lee for NCDC Daily OLR CDR Production
!
!@*****
!========================================================================================

! Declaration for instrument parameters

! variables
! cofw(5,4) - IWT PRT Count to temperature coefficients
! waven(19) - central wave number
! bandc(2,19) - HIRS thermal channel band correction coefficients
!  coslope : coefficients for predicting slope
!  cointcpt: coefficients for predicting intercepts

      real*4 cofw(5,4),waven(19),bandc(2,19),coslope(9,19),cointcpt(9,19)
      integer*2 iord(20)
      common/instrument/cofw,waven,bandc,coslope,cointcpt
      data iord/1,3,4,6,16,15,10,11,20,13,8,18,5,14,17,19,2,7,9,12/
