      subroutine readlm                                                 
!                                                                       
!********************************************************************** 
!                                                                       
!   name- readlm                                                        
!                                                                       
!   language- fortran     type- subroutine                              
!                                                                       
!   version- 1.0    date- 06/13/80   programmer- domm                   
!   version- 2.0    date- 03/01/83   programmer- frank carr (sasc)      
!                                                                       
!   function- read allowed temperature limits for HIRS, MSU, and         
!             SSU and convert to radiance limits                        
!                                                                       
!   files-                                                              
!      dsn or descriptive title  i/o unit functional description        
!      ------------------------  --- ---- ----------------------        
!      nss.dpss.tovs.data(prelm  i    37  raw temperature limits for    
!                                         input to preprocessor         
!                                                                       
!   key local parameters-                                               
!      variable                type  function                           
!      --------                ----  --------                           
!      ifi                     i*4   fortran file unit number           
!      toohih                  r*4   hirs upper radiance limits         
!      tooloh                  r*4   hirs lower radiance limits         
!      toohim                  r*4   msu upper radiance limits          
!      toolom                  r*4   msu lower radiance limits          
!      toohis                  r*4   ssu upper radiance limits          
!      toolos                  r*4   ssu lower radiance limits          
!      i                       i*4   concatonated channel number        
!      k                       i*4   channel number                     
!                                                                       
!   common areas- toohi,procfl                                          
!                                                                       
!********************************************************************** 
!                                                                       
!     readlm1  version 2.0  fc   begun 03/11/83  completed 03/11/83     
!                                                                       
! *** first read the upper and lower limits for ***                     
! *** the HIRS, MSU and SSU temperature limits ***                     
!                  
      include 'toohi.cmn.f90'
      ifi=37    
!l
      open(ifi, file='prelms3.dat', status='old')  
!l                                                      
      read (ifi,1010) (toohih(k),k=1,20)                                
      read (ifi,1010) (tooloh(k),k=1,20)                                
      read (ifi,1020) (toohim(k),k=1,4)                                 
      read (ifi,1020) (toolom(k),k=1,4)                                 
      read (ifi,1030) (toohis(k),k=1,3)                                 
      read (ifi,1030) (toolos(k),k=1,3)                                 
!      write (*,1010) (toohih(k),k=1,20)
!      write (*,1010) (tooloh(k),k=1,20)
!      write (*,1020) (toohim(k),k=1,4)
!      write (*,1020) (toolom(k),k=1,4)
!      write (*,1030) (toohis(k),k=1,3)
!      write (*,1030) (toolos(k),k=1,3) 
!                                                                       
! *** now convert the temperature limits to radiances ***               
! *** channel 20 need not be converted as the limits  ***               
! ***                 are 0,0                         ***               
!l      do 1000 k=1,19                                                    
!l      toohih(k)=planck(toohih(k),k)                                     
!l      tooloh(k)=planck(tooloh(k),k)                                     
!l      if (k.gt.4) go to 1000                                            
!l      i=k+20                                                            
!l      toohim(k)=planck(toohim(k),i)                                     
!l      toolom(k)=planck(toolom(k),i)                                     
!l      if (k.gt.3) go to 1000                                            
!l      i=k+24                                                            
!l      toohis(k)=planck(toohis(k),i)                                     
!l      toolos(k)=planck(toolos(k),i)                                     
!l 1000 continue                                                          
!                                                                       
      return                                                            
!                                                                       
 1010 format (14(f4.0,1x),/,6(f4.0,1x))                                 
 1020 format (4(f4.0,1x))                                               
 1030 format (3(f4.0,1x))                                               
      end    

!------------------------------------------------
