!========================================================================================
!@***h* Daily OLR CDR/superdata.cmn.f90
! 
! NAME         
!   superdata.cmn.f90
!
! LOCATION         
!   Codes/OLR_retrieval/Nxx/, xx=05,06,...,14
!
! PURPOSE
!   Declaration for superdata common block and its variables 
!
! DESCRIPTION
!   I/O variables used HIRS radiance calibration are defined here and passed as superdata common
!	block
!
! AUTHOR
!   Hai-Tien Lee
!
! COPYRIGHT	
!   THIS SOFTWARE AND ITS DOCUMENTATION ARE CONSIDERED TO BE IN THE PUBLIC 
!   DOMAIN AND THUS ARE AVAILABLE FOR UNRESTRICTED PUBLIC USE. THEY ARE 
!   FURNISHED "AS IS." THE AUTHORS, THE UNITED STATES GOVERNMENT, ITS 
!   INSTRUMENTALITIES, OFFICERS, EMPLOYEES, AND AGENTS MAKE NO WARRANTY, 
!   EXPRESS OR IMPLIED, AS TO THE USEFULNESS OF THE SOFTWARE AND 
!   DOCUMENTATION FOR ANY PURPOSE. THEY ASSUME NO RESPONSIBILITY (1) FOR 
!   THE USE OF THE SOFTWARE AND DOCUMENTATION; OR (2) TO PROVIDE TECHNICAL 
!   SUPPORT TO USERS.
!
! EXTERNALS
!
! DEPENDENCIES
!
! INPUTS
!
! OUTPUTS
!
! HISTORY
!   2003-08-01   Hai-Tien Lee Created
!   2010-11-26   Hai-Tien Lee for NCDC HIRS OLR CDR Production
!   2014-06-01   Hai-Tien Lee for NCDC Daily OLR CDR Production
!
!@*****
!========================================================================================

!                                                                       
!                   *** common superdata ***                                
!                                                                       
!    used for hirs superswath data processing package *********
!   suphirs(2128,43)        int*2     a superswath of 1b data
!                                     43 scanlines, 1-3,41-43
!                                     calibration scans, 4-40
!                                     earth view scans.
!   hirsdat(35,56,40)       real*4    a superswath of result BT
!                                     i=1,35;j=1,56,k=1,40
!  i: the order of the parameters  1-35;
!  j: the spot sequence  1-56;
!  k: the scan num of the superswath 1-40;
!  **************************************************
! parameters:
!  i=1: flag =1 earth view & good quality
!            =2 space view & good quality
!            =3 cold blackbody & good quality
!            =4 warm blackbody & good quality
!            =-1 bad quality
!            =-2 rain detected
!            =-3 cloud detected
!   
!  i=2:  latitude
!  i=3:  longitude
!  i=4:  year
!  i=5:  julian day
!  i=6:  utc time
!  i=7:  height
!  i=8:  local zenith angle
!  i=9:  Hirs channel 1 BT
!  i=10: Hirs channel 2 BT
!  ......
!  ......
!  i=26: Hirs channel 18 BT
!  i=27: Hirs channel 19 BT
!  i=28: Hirs channel 20 BT
!  i=33: flag for calibration: 1 good; 
!                             -1 head suspicious(too many spots thrown away);
!                             -2 tail suspicious;
!  i=other: reserved for future use
! ***************************************************
!                                                                       
      integer*2 suphirs, irfail
      real*4 hirsdat
                                       
      common/superdata/suphirs(2128,43),hirsdat(35,56,40),irfail           


