!========================================================================================
!@***h* Daily OLR CDR/swap.f90
! 
! NAME         
!   swap.f90
!
! LOCATION         
!   Codes/OLR_retrieval/Nxx, xx=05,06,07,08,09,10,11,12,14
!
! PURPOSE
!   Byte swapping for xbuf character array
!
! DESCRIPTION
!   Byte swapping for xbuf character array. This swap is needed when running on a little-endian
!	 machine.
!
! AUTHOR
!   Hai-Tien Lee
!
! COPYRIGHT	
!   THIS SOFTWARE AND ITS DOCUMENTATION ARE CONSIDERED TO BE IN THE PUBLIC 
!   DOMAIN AND THUS ARE AVAILABLE FOR UNRESTRICTED PUBLIC USE. THEY ARE 
!   FURNISHED "AS IS." THE AUTHORS, THE UNITED STATES GOVERNMENT, ITS 
!   INSTRUMENTALITIES, OFFICERS, EMPLOYEES, AND AGENTS MAKE NO WARRANTY, 
!   EXPRESS OR IMPLIED, AS TO THE USEFULNESS OF THE SOFTWARE AND 
!   DOCUMENTATION FOR ANY PURPOSE. THEY ASSUME NO RESPONSIBILITY (1) FOR 
!   THE USE OF THE SOFTWARE AND DOCUMENTATION; OR (2) TO PROVIDE TECHNICAL 
!   SUPPORT TO USERS.
!
! EXTERNALS
!
! DEPENDENCIES
!
! INPUTS
!
! OUTPUTS
!
! HISTORY
!   2003-08-01   Hai-Tien Lee Created
!   2010-11-26   Hai-Tien Lee for NCDC HIRS OLR CDR Production
!   2014-06-01   Hai-Tien Lee for NCDC Daily OLR CDR Production
!
!@*****
!========================================================================================

      subroutine swap(xbuf)
      implicit none
      integer, parameter:: reclen = 4256
      character xbuf(reclen)
      character*1 xtmp
      integer*2 i
!      do i=1,2128
      do i=1,reclen/2
         xtmp=xbuf(i*2)
         xbuf(i*2)=xbuf(i*2-1)
         xbuf(i*2-1)=xtmp
      enddo
      end
