!========================================================================================
!@***h* Daily OLR CDR/superdata.cmn.f90
! 
! NAME         
!   superdata.cmn.f90
!
! LOCATION         
!   Codes/OLR_retrieval/Nxx/, xx=15,16,...,21
!
! PURPOSE
!   Declaration for superdata common block and its variables 
!
! DESCRIPTION
!   I/O variables used HIRS radiance calibration are defined here and passed as superdata common
!	block
!
! AUTHOR
!   Hai-Tien Lee
!
! COPYRIGHT	
!   THIS SOFTWARE AND ITS DOCUMENTATION ARE CONSIDERED TO BE IN THE PUBLIC 
!   DOMAIN AND THUS ARE AVAILABLE FOR UNRESTRICTED PUBLIC USE. THEY ARE 
!   FURNISHED "AS IS." THE AUTHORS, THE UNITED STATES GOVERNMENT, ITS 
!   INSTRUMENTALITIES, OFFICERS, EMPLOYEES, AND AGENTS MAKE NO WARRANTY, 
!   EXPRESS OR IMPLIED, AS TO THE USEFULNESS OF THE SOFTWARE AND 
!   DOCUMENTATION FOR ANY PURPOSE. THEY ASSUME NO RESPONSIBILITY (1) FOR 
!   THE USE OF THE SOFTWARE AND DOCUMENTATION; OR (2) TO PROVIDE TECHNICAL 
!   SUPPORT TO USERS.
!
! EXTERNALS
!
! DEPENDENCIES
!
! INPUTS
!
! OUTPUTS
!
! HISTORY
!   2003-08-01   Hai-Tien Lee Created
!   2010-11-26   Hai-Tien Lee for NCDC HIRS OLR CDR Production
!   2014-06-01   Hai-Tien Lee for NCDC Daily OLR CDR Production
!
!@*****
!========================================================================================

!                   ** common superdata ***                                     
!c    used for hirs superswath data processing package *********
!C   suphirs   Type(struc_1b),Dimension(42)     a superswath of 1b data
!C                                     42 scanlines, 1-2,41-42
!C                                     calibration scans, 3-40
!C                                     earth view scans.
!C   hirsdat(35,56,40)       real*4    a superswath of result BT
!C                                     i=1,35;j=1,56,k=1,40
!C  i: the order of the parameters  1-35;
!C  j: the spot sequence  1-56;
!C  k: the scan num of the superswath 1-40;
!C  **************************************************
!C parameters:
!C  i=1: flag =1 earth view & good quality
!C            =2 space view & good quality
!C            =3 cold blackbody & good quality
!C            =4 warm blackbody & good quality
!C            =-1 bad quality
!C            =-2 rain detected
!C            =-3 cloud detected
!C   
!C  i=2:  latitude
!C  i=3:  longitude
!C  i=4:  year
!C  i=5:  julian day
!C  i=6:  utc time
!C  i=7:  height
!C  i=8:  local zenith angle
!C  i=9:  Hirs channel 1 BT
!C  i=10: Hirs channel 2 BT
!C  ......
!C  ......
!C  i=26: Hirs channel 18 BT
!C  i=27: Hirs channel 19 BT
!C  i=28: Hirs channel 20 BT
!C  i=33: flag for calibration: 1 good; 
!C                             -1 head suspicious(too many spots thrown away);
!C                             -2 tail suspicious;
!C  i=other: reserved for future use
!C ***************************************************               
       
      integer*2  irfail      
      real*4 hirsdat
!      USE type_def
      Type(struc_1b),Dimension(42):: suphirs
      common/superdata/suphirs,hirsdat(35,56,40),irfail
                                                                       
