!========================================================================================
!@***h* Daily OLR CDR/swapbyte.f90
! 
! NAME         
!   swapbyte.f90
!
! LOCATION         
!   Codes/OLR_retrieval/Nxx, xx=15,16,...,21
!
! PURPOSE
!   Performs byte swapping for a two-byte word variable
!
! DESCRIPTION
!   This F90 subroutine swap the byte order of a two-byte word variable.
!
! AUTHOR
!   Hai-Tien Lee
!
! COPYRIGHT	
!   THIS SOFTWARE AND ITS DOCUMENTATION ARE CONSIDERED TO BE IN THE PUBLIC 
!   DOMAIN AND THUS ARE AVAILABLE FOR UNRESTRICTED PUBLIC USE. THEY ARE 
!   FURNISHED "AS IS." THE AUTHORS, THE UNITED STATES GOVERNMENT, ITS 
!   INSTRUMENTALITIES, OFFICERS, EMPLOYEES, AND AGENTS MAKE NO WARRANTY, 
!   EXPRESS OR IMPLIED, AS TO THE USEFULNESS OF THE SOFTWARE AND 
!   DOCUMENTATION FOR ANY PURPOSE. THEY ASSUME NO RESPONSIBILITY (1) FOR 
!   THE USE OF THE SOFTWARE AND DOCUMENTATION; OR (2) TO PROVIDE TECHNICAL 
!   SUPPORT TO USERS.
!
! EXTERNALS
!
! DEPENDENCIES
!
! INPUTS
!   wd - a two-byte word
!
! OUTPUTS
!   wd - the two-byte word that is byte-swapped
!
! HISTORY
!   2003-08-26   Hai-Tien Lee created
!   2010-11-26   Hai-Tien Lee for NCDC HIRS OLR CDR Production
!   2014-06-01   Hai-Tien Lee for NCDC Daily OLR CDR Production
!
!@*****
!========================================================================================

      subroutine swapbyte(wd)
   !swap the bytes of a 2byte wd
      implicit none
        integer*2 wd,wd2
        character btarr(2), tran
        equivalence(wd2,btarr)

        wd2=wd
        tran=btarr(1)
        btarr(1)=btarr(2)
        btarr(2)=tran
        wd=wd2
        return
        end
