!========================================================================================
!@***h* Daily OLR CDR/swapwd.f90
! 
! NAME         
!   swapwd.f90
!
! LOCATION         
!   Codes/OLR_retrieval/Nxx/, xx=15,16,...,21
!
! PURPOSE
!   Performs swapping of two words
!
! DESCRIPTION
!   This F90 subroutine swaps two given word variables.
!
! AUTHOR
!   Hai-Tien Lee
!
! COPYRIGHT	
!   THIS SOFTWARE AND ITS DOCUMENTATION ARE CONSIDERED TO BE IN THE PUBLIC 
!   DOMAIN AND THUS ARE AVAILABLE FOR UNRESTRICTED PUBLIC USE. THEY ARE 
!   FURNISHED "AS IS." THE AUTHORS, THE UNITED STATES GOVERNMENT, ITS 
!   INSTRUMENTALITIES, OFFICERS, EMPLOYEES, AND AGENTS MAKE NO WARRANTY, 
!   EXPRESS OR IMPLIED, AS TO THE USEFULNESS OF THE SOFTWARE AND 
!   DOCUMENTATION FOR ANY PURPOSE. THEY ASSUME NO RESPONSIBILITY (1) FOR 
!   THE USE OF THE SOFTWARE AND DOCUMENTATION; OR (2) TO PROVIDE TECHNICAL 
!   SUPPORT TO USERS.
!
! EXTERNALS
!
! DEPENDENCIES
!
! INPUTS
!   wd1, wd2 - two two-byte word variables
!
! OUTPUTS
!   wd1, wd2 - two two-byte words whose content is swapped
!
! HISTORY
!   2003-08-26   Hai-Tien Lee created
!   2010-11-26   Hai-Tien Lee for NCDC HIRS OLR CDR Production
!   2014-06-01   Hai-Tien Lee for NCDC Daily OLR CDR Production
!
!@*****
!========================================================================================
      subroutine swapwd(wd1,wd2)
   !swap the 2 2byte words
      implicit none
      integer*2 tran,wd1,wd2
      tran=wd1
      wd1=wd2
      wd2=tran
      return 
      end
