#!/bin/sh

##########################################################################################
#@***h* Daily OLR CDR/cal_julday2.sh
# 
# NAME
#     cal_julday2.sh
#
# PURPOSE
# 		Calulate Day of the Year for the given date
#
# DESCRIPTION
# 		This script calulates Day of the Year for the given date.
#
# USAGE
# cal_julday2.sh yyyymmdd => returns the day of the year for the given date yyyymmdd
#
# AUTHOR
#   Hai-Tien Lee
# 
# COPYRIGHT	
#   THIS SOFTWARE AND ITS DOCUMENTATION ARE CONSIDERED TO BE IN THE PUBLIC 
#   DOMAIN AND THUS ARE AVAILABLE FOR UNRESTRICTED PUBLIC USE. THEY ARE 
#   FURNISHED "AS IS." THE AUTHORS, THE UNITED STATES GOVERNMENT, ITS 
#   INSTRUMENTALITIES, OFFICERS, EMPLOYEES, AND AGENTS MAKE NO WARRANTY, 
#   EXPRESS OR IMPLIED, AS TO THE USEFULNESS OF THE SOFTWARE AND 
#   DOCUMENTATION FOR ANY PURPOSE. THEY ASSUME NO RESPONSIBILITY (1) FOR 
#   THE USE OF THE SOFTWARE AND DOCUMENTATION; OR (2) TO PROVIDE TECHNICAL 
#   SUPPORT TO USERS.
# 
# INPUT
# 
# OUTPUT
# 
# HISTORY
#     2014-06-01   Hai-Tien Lee for NCDC Daily OLR CDR Production
#
#@*****
#########################################################################################

# 2011.3.14 Hai-Tien Lee
# Calulate Day of the Year for the given date
# Usage:
# cal_julday2 yyyymmdd => returns the day of the year for the given date yyyymmdd


yyyy=`echo $1 | cut -c1-4`
mm=`echo $1 | cut -c5-6`
dd=`echo $1 | cut -c7-8`
leap=`expr ${yyyy} \/ 4`
leap=`expr $leap \* 4`
l100=`expr ${yyyy} \/ 100`
l100=`expr $l100 \* 100`
if test ${yyyy} -eq $l100
then
   leap=`expr ${yyyy} \/ 400`
   leap=`expr $leap \* 400`
fi

if test ${yyyy} -eq $leap
then
   case $mm in
      1 | 01) total=`expr $dd + 0` ;;
      2 | 02) total=`expr 31 + $dd` ;;
      3 | 03) total=`expr 60 + $dd` ;;
      4 | 04) total=`expr 91 + $dd` ;;
      5 | 05) total=`expr 121 + $dd` ;;
      6 | 06) total=`expr 152 + $dd` ;;
      7 | 07) total=`expr 182 + $dd` ;;
      8 | 08) total=`expr 213 + $dd` ;;
      9 | 09) total=`expr 244 + $dd` ;;
      10) total=`expr 274 + $dd` ;;
      11) total=`expr 305 + $dd` ;;
      12) total=`expr 335 + $dd` ;;
   esac
else
   case $mm in
      1 | 01) total=`expr $dd + 0` ;;
      2 | 02) total=`expr 31 + $dd` ;;
      3 | 03) total=`expr 59 + $dd` ;;
      4 | 04) total=`expr 90 + $dd` ;;
      5 | 05) total=`expr 120 + $dd` ;;
      6 | 06) total=`expr 151 + $dd` ;;
      7 | 07) total=`expr 181 + $dd` ;;
      8 | 08) total=`expr 212 + $dd` ;;
      9 | 09) total=`expr 243 + $dd` ;;
      10) total=`expr 273 + $dd` ;;
      11) total=`expr 304 + $dd` ;;
      12) total=`expr 334 + $dd` ;;
   esac
fi

julday=$total

# if test $julday -lt 10
# then
# julday=0$julday
# fi
# if test $julday -lt 100
# then
# julday=0$julday
# fi

# echo $julday

printf "%3.3i\n" $julday

exit
