#!/bin/sh

##########################################################################################
#@***h* Daily OLR CDR/cal_num_of_days.sh
# 
# NAME
#     cal_num_of_days.sh
#
# PURPOSE
# 		Calulate number of days from day1 to day2
#
# DESCRIPTION
# 		This script calulates number of days from day1 to day2 (counting day1 as 1)
#
# USAGE
#     cal_num_of_days.sh $yyyymmdd1 $yyyymmdd2
#
# AUTHOR
#   Hai-Tien Lee
# 
# COPYRIGHT	
#   THIS SOFTWARE AND ITS DOCUMENTATION ARE CONSIDERED TO BE IN THE PUBLIC 
#   DOMAIN AND THUS ARE AVAILABLE FOR UNRESTRICTED PUBLIC USE. THEY ARE 
#   FURNISHED "AS IS." THE AUTHORS, THE UNITED STATES GOVERNMENT, ITS 
#   INSTRUMENTALITIES, OFFICERS, EMPLOYEES, AND AGENTS MAKE NO WARRANTY, 
#   EXPRESS OR IMPLIED, AS TO THE USEFULNESS OF THE SOFTWARE AND 
#   DOCUMENTATION FOR ANY PURPOSE. THEY ASSUME NO RESPONSIBILITY (1) FOR 
#   THE USE OF THE SOFTWARE AND DOCUMENTATION; OR (2) TO PROVIDE TECHNICAL 
#   SUPPORT TO USERS.
# 
# INPUT
# 
# OUTPUT
# 
# HISTORY
#     2014-06-01   Hai-Tien Lee for NCDC Daily OLR CDR Production
#
#@*****
#########################################################################################

# 2013.12.18 Hai-Tien Lee
# Calulate number of days from day1 to day2 (counting day1 as 1)
# Usage:
# cal_num_of_days yyyymmdd1 yyyymmdd2 
#set -x

yyyymmdd1=$1
yyyymmdd2=$2

s1=`date -j -f "%Y%m%d" $yyyymmdd1 +%s`
s2=`date -j -f "%Y%m%d" $yyyymmdd2 +%s`

ds=`expr $s2 - $s1`
nday=`echo $ds | awk '{print $1/86400. + 1}'`
# echo $ds $nday

printf "%8i\n" $nday

exit
